import { ConfigurationStage, ConfigurationScope, createConfigCommand, } from '@webprovisions/platform';
// tslint:disable align
var configApi = {
    ready: createConfigCommand(ConfigurationScope.Implementation, ConfigurationStage.Pre, function (context, fn) {
        var container = context.container;
        var implementation = container.owner;
        var bootstrapped = container.get('bootstrapped') || false;
        if (!bootstrapped) {
            implementation.events.subscribeOnce('bootstrap:ready', function () {
                container.register('bootstrapped', true);
                fn(implementation);
            });
        }
        else {
            fn(implementation);
        }
    }),
};
export default configApi;
//# sourceMappingURL=configuration-api.js.map